当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]我无法使用gedit命令,怎么办呢?
帖子发表于 : 2006-02-16 0:40 

注册: 2005-12-20 0:25
帖子: 80
送出感谢: 0 次
接收感谢: 0 次
现在我只要输入sudo gedit ......命令就会出现
** (gedit:9012): CRITICAL **: gedit_mdi_set_state: assertion `GEDIT_IS_MDI (mdi)' failed

** (gedit:9012): CRITICAL **: gedit_prefs_manager_get_int: assertion `gedit_prefs_manager->gconf_client != NULL' failed

** (gedit:9012): CRITICAL **: gedit_prefs_manager_get_bool: assertion `gedit_prefs_manager->gconf_client != NULL' failed

** (gedit:9012): CRITICAL **: gedit_prefs_manager_get_bool: assertion `gedit_prefs_manager->gconf_client != NULL' failed

** (gedit:9012): CRITICAL **: gedit_prefs_manager_get_int: assertion `gedit_prefs_manager->gconf_client != NULL' failed

(gedit:9012): GLib-GObject-WARNING **: invalid uninstantiatable type `<unknown>' in cast to `GObject'

(gedit:9012): GLib-GObject-WARNING **: instance of invalid non-instantiatable type `<unknown>'

(gedit:9012): GLib-GObject-CRITICAL **: g_signal_connect_object: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:9012): GLib-GObject-WARNING **: invalid uninstantiatable type `<unknown>' in cast to `BonoboMDI'

** (gedit:9012): CRITICAL **: bonobo_mdi_add_child: assertion `BONOBO_IS_MDI (mdi)' failed

(gedit:9012): GLib-GObject-WARNING **: invalid uninstantiatable type `<unknown>' in cast to `BonoboMDI'

** (gedit:9012): CRITICAL **: bonobo_mdi_get_active_window: assertion `BONOBO_IS_MDI (mdi)' failed

** (gedit:9012): CRITICAL **: gedit_utils_set_status: assertion `BONOBO_IS_WINDOW (win)' failed

(gedit:9012): GLib-GObject-WARNING **: invalid uninstantiatable type `<unknown>' in cast to `BonoboMDI'

** (gedit:9012): CRITICAL **: bonobo_mdi_get_active_window: assertion `BONOBO_IS_MDI (mdi)' failed

** (gedit:9012): CRITICAL **: bonobo_window_flash: assertion `win != NULL' failed

(gedit:9012): GLib-GObject-WARNING **: invalid uninstantiatable type `<unknown>' in cast to `BonoboMDI'

** (gedit:9012): CRITICAL **: bonobo_mdi_add_views: assertion `BONOBO_IS_MDI (mdi)' failed

** (gedit:9012): CRITICAL **: gedit_mdi_set_state: assertion `GEDIT_IS_MDI (mdi)' failed
这样的提示,gedit后面的代码有时侯是8488,有时侯又是其他的,害我无法进行操作了,请高手解决。

当我用root权限进行gedit时,它就提示:
(gedit:8274): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed.
然后等很久才能打开编辑窗口,这是为什么??需要什么认证协议????


最后由 jms212 编辑于 2006-02-16 20:02,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-02-16 14:14 
头像

注册: 2006-02-13 12:18
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
I CAN't use it too

but if I TYPE "sudo gedit...."

the answer is:

sudo: gedit: command not found

waiting too


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-02-18 17:48 

注册: 2005-12-20 0:25
帖子: 80
送出感谢: 0 次
接收感谢: 0 次
没人知道么???????????


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-02-18 20:02 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
update再upgrade。升级试试,可能系统的包坏了。


_________________
● 鸣学


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-02-19 12:33 

注册: 2005-12-20 0:25
帖子: 80
送出感谢: 0 次
接收感谢: 0 次
试过了,没用,虽然用root帐号可以使用gedit,但是还是有以上提示,而且要等很久才会弹出文本编辑框


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-02-19 17:15 

注册: 2006-02-19 12:55
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
我也遇到同样得情况,重新安装,重新升级还是这样,没有办法,现在只好凑合着用vi了。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-02-21 13:50 

注册: 2006-02-19 12:55
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
网上找到一个解决办法。
sudo gpasswd -a usrname sudo
试过之后,管用!楼上的不妨试一试。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-02-21 14:23 
头像

注册: 2006-01-29 9:29
帖子: 90
送出感谢: 0 次
接收感谢: 0 次
不行的话就把gedit给删除了,使用其他的,推荐mousepad
代码:
sudo apt-get install mousepad

使用起来和gedit差不多,就是每次多输几个字母```


页首
 用户资料  
 
9 楼 
 文章标题 : 关于这个gedit
帖子发表于 : 2008-02-27 10:25 

注册: 2008-02-02 18:28
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
我出现的问题是用gedit 后出现
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

cannot open display:
这是怎么回事呀??


页首
 用户资料  
 
10 楼 
 文章标题 : Re: [问题]我无法使用gedit命令,怎么办呢?
帖子发表于 : 2011-03-17 16:25 

注册: 2010-08-24 13:53
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
我的是英文环境,每次退出gedit时,终端出现如下提示:
(gedit:3154): GLib-GObject-CRITICAL **: g_object_ref: assertion `object->ref_count > 0' failed

(gedit:3154): GLib-GObject-CRITICAL **: g_object_ref: assertion `object->ref_count > 0' failed

(gedit:3154): GLib-GObject-CRITICAL **: g_object_ref: assertion `object->ref_count > 0' failed
请问大虾们有什么好的解决方法?????????


页首
 用户资料  
 
11 楼 
 文章标题 : Re: [问题]我无法使用gedit命令,怎么办呢?
帖子发表于 : 2011-03-17 22:01 
头像

注册: 2009-04-11 23:46
帖子: 4030
系统: Arch Linux
送出感谢: 11
接收感谢: 110
:em20 :em20 ,这里是 Vim和Emacs 版块又不是编辑器版块。。。

所以我唯一能给 LZ 的建议就是——换 Vim 或者 Emacs!


_________________
我的博客 http://blog.lilydjwg.me/
Dropbox,你值得拥有。
提问的智慧
Arch Linux 中文论坛

我的vimrc: http://git.io/vimrc


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译